1.2

1.2

get /v1/bm_products

Description

List Bare Metal Server products.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
queryimage_id
optional
Image ID
Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKProductListResponseV1Dot1
400Bad RequestNone
403ForbiddenNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/bm_products

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.2"

Example HTTP response

Response 200

{
    "products": [
        {
            "cpu_name": "cpu 16 vCore",
            "cpu_unit": "vCPU",
            "cpu_value": "64",
            "description": "vCPU 16 │ Memory 128G │ Disk 480G",
            "disk_unit": "GB",
            "disk_value": "480",
            "id": "f90e8ef54cc2451b825608e9f95f7bcb",
            "memory_name": "server memory 128GB",
            "memory_unit": "GB",
            "memory_value": "128",
            "name": "s2v16m128_metal",
            "state": "AVAILABLE",
            "type": "SCALE",
            "compute_class_type_name": "StandardMetal-2",
            "compute_class_type_value": "s2_metal",
            "name_with_generation": "s2v16m128_metal",
            "created_at": "2024-05-17T00:23:17Z",
            "modified_at": "2024-05-17T00:23:17Z",
            "os_disk_gb": "480"
        }
    ]
}